docker-build:
  stage: build
  before_script:
    - echo "$DOCKER_PASSWORD" | docker login -u "$DOCKER_USERNAME" registry.baalajimaestro.me --password-stdin
  variables:
    GO111MODULE: "on"
    GOPATH: "/root/go"
  script:
    - make build-image
    - docker tag traefik/traefik registry.baalajimaestro.me/baalajimaestro/traefik:latest
    - docker push registry.baalajimaestro.me/baalajimaestro/traefik:latest
